Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Java Object Cache API Reference 10g Release 3 (10.1.3) B25712-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.cache
Class CacheHostInfo

`java.lang.Object
oracle.ias.cache.CacheHostInfo`

public class CacheHostInfo
extends java.lang.Object

The CacheHostInfo class provides the host and current port being used for a cache in the cache system. An array of CacheHostInfo objects can be obtained for all caches currently running with the method Cache.getActiveHostInfo.

Since:
  9.0.4
See Also:
  `Cache`

Method Summary
`java.lang.String` | `getCacheName()` returns the cache name as specified in the CacheAttributes
`java.lang.String` | `getHostName()` returns the hostName where this cache is currently running
`int` | `getPort()` returns the port currently being used by this cache
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getHostName

    public java.lang.String getHostName()

  returns the hostName where this cache is currently running
  Returns:
    the hostName where this cache is currently running
  Since:
    9.0.4

### getPort

    public int getPort()

  returns the port currently being used by this cache
  Returns:
    the port currently being used by this cache
  Since:
    9.0.4

### getCacheName

    public java.lang.String getCacheName()

  returns the cache name as specified in the CacheAttributes
  Returns:
    the cache name as specified in the CacheAttributes
  Since:
    9.0.4

### toString

    public java.lang.String toString()

Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Java Object Cache API Reference 10g Release 3 (10.1.3) B25712-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.